%global original_name	ripe.atlas.cousteau

%global deps_py3	python3-dateutil python3-socketIO-client python3-requests
%global deps_tests_py3	python3-funcsigs python3-nose python3-coverage python3-mock python3-jsonschema

%global deps_py2	python-dateutil python2-socketIO-client python2-requests
%global deps_tests_py2	python2-funcsigs python2-nose python2-coverage python-mock python-jsonschema

Name:		ripe-atlas-cousteau
Version:	1.0.7
Release:	1%{?dist}
Summary:	Python wrapper for RIPE Atlas API

License:	GPLv3
URL:		https://pypi.python.org/pypi/%{original_name}/
Source0:	https://pypi.python.org/packages/source/r/%{original_name}/%{original_name}-%{version}.tar.gz

BuildArch:	noarch

%description
ripe.atlas.cousteau is a Python wrapper around RIPE Atlas API.

%package -n python2-%{name}
Summary:	Python wrapper for RIPE Atlas API
BuildRequires:	python2-devel
BuildRequires:	%deps_py2 %deps_tests_py2
Requires:	%deps_py2

%description -n python2-%{name}
ripe.atlas.cousteau is a Python wrapper around RIPE Atlas API.

This package contains the library for Python 2.

%package -n python3-%{name}
Summary:	Python wrapper for RIPE Atlas API
BuildRequires:	python3-devel
BuildRequires:	%deps_py3 %deps_tests_py3
Requires:	%deps_py3

%description -n python3-%{name}
ripe.atlas.cousteau is a Python wrapper around RIPE Atlas API.

This package contains the library for Python 3.

%prep
%setup -q -n %{original_name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%__python2 setup.py check nosetests
%__python3 setup.py check nosetests

%files -n python3-%{name}
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*

%files -n python2-%{name}
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%changelog
* Tue Jan 19 2016 Jan Vcelak <jvcelak@fedoraproject.org> 1.0.7-1
- new upstream release
- change project URL to PyPI
- remove patches merged by upstream

* Thu Dec 31 2015 Jan Vcelak <jvcelak@fedoraproject.org> 1.0.6-1
- initial package
